Bug 1011284 - button 'loan settings' disappeared after clicking button 'Return loan'
button 'loan settings' disappeared after clicking button 'Return loan'
Status: CLOSED CURRENTRELEASE
Product: Beaker
Classification: Community
Component: web UI (Show other bugs)
develop
Unspecified Unspecified
low Severity low (vote)
: 19.0
: ---
Assigned To: Dan Callaghan
tools-bugs
:
Depends On: 1014438
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-23 23:04 EDT by wangjing
Modified: 2014-11-25 02:18 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-11-25 02:18:32 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description wangjing 2013-09-23 23:04:24 EDT
Description of problem:
button 'loan settings' disappeared after clicking button 'Return loan'

Version-Release number of selected component (if applicable):
Version 0.14.1 beaker-devel

How reproducible:
always

Steps to Reproduce:
1. login as an account who has privilege to loan systems to others.
2. on system page click button 'Loan Settings' and loan system to someone.
3. click button 'Loan Settings' again, and click button 'Return Loan' on the pop window.
4. check the button 'Loan Settings' on system page.

Actual results:
button 'loan settings' disappeared, I must reload the page to make it appear.

Expected results:
no need to reload the page to make button 'loan settings' appear.

Additional info:
Comment 2 Nick Coghlan 2013-09-25 02:43:32 EDT
Rather than trying to get the current loan settings widget to behave itself, for 0.15.1 we'll take the opportunity to clean up the current quirky implementation and use a Backbone widget + Bootstrap modal based design instead.
Comment 3 Raymond Mancy 2013-11-11 23:02:42 EST
As per BZ#999444, we should ensure this widget also appears on the 'edit' page.
Comment 4 Dan Callaghan 2014-09-18 02:00:11 EDT
As part of the system page improvements (bug 1014438), there is no longer a modal for loaning, nor is there a separate edit page.

https://beaker-project.org/dev/proposals/system-page-improvements.html
Comment 7 Dan Callaghan 2014-11-25 02:18:32 EST
Beaker 19.0 has been released.

Note You need to log in before you can comment on or make changes to this bug.